summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRaphael Geissert <geissert@debian.org>2013-02-19 19:27:42 +0000
committerRaphael Geissert <geissert@debian.org>2013-02-19 19:27:42 +0000
commitefca9fd40dda4888e1c0aa85d264b8acef329a8b (patch)
tree4fe688fe467ba2c22476299a18f795b001713d9d
parent00770e9140c275b59333c90b6dabee1bf14a9874 (diff)
When passing multiple CVE ids, generate a list of them
The generated CVE listing is more or less already followed by almost everybody except fw, who's style is slightly different (no empty line after the id and tabs instead of blanks.) git-svn-id: svn+ssh://svn.debian.org/svn/secure-testing@21342 e39458fd-73e7-0310-bf30-c45bca0a0e42
-rwxr-xr-xbin/gen-DSA16
-rwxr-xr-xbin/gen-DSA.py1
-rw-r--r--doc/DSA.template2
3 files changed, 19 insertions, 0 deletions
diff --git a/bin/gen-DSA b/bin/gen-DSA
index 48e7771b25..487b5fd0e7 100755
--- a/bin/gen-DSA
+++ b/bin/gen-DSA
@@ -152,6 +152,7 @@ VULNERABILITY="$(cleanup_vulnerability "$2")"
CVE="$(toupper "$3")"
BUGNUM="${4#\#}"
REFERENCES=0
+TEXT=
CVE="$(split_n_sort "$CVE")"
cve_spacing=
@@ -167,8 +168,22 @@ for id in $CVE; do
grep -wq "^$id" data/CVE/list || {
warn "'$id' is not known" >&2
}
+
+ TEXT="$TEXT\n\n$id\n\n Description"
done
+if [ $REFERENCES -eq 1 ]; then
+ TEXT=
+fi
+
+if [ -n "$TEXT" ]; then
+ TEXT="Brief introduction $TEXT"
+
+ if ! $save; then
+ TEXT="The CVE ids will be listed here when --save'ing"
+ fi
+fi
+
case "$DSAID" in
*-*|'')
:
@@ -267,6 +282,7 @@ setvar STABLE
setvar TESTING
setvar SPACEDDATE
setvar DATE
+setvar TEXT "${TEXT:-DSA text goes here}"
for dist in $OLDSTABLE $STABLE $TESTING UNSTABLE; do
version="$(eval 'printf "%s" "$'"$dist"_VERSION'"')"
diff --git a/bin/gen-DSA.py b/bin/gen-DSA.py
index 660ab7d02c..c0044a5306 100755
--- a/bin/gen-DSA.py
+++ b/bin/gen-DSA.py
@@ -262,6 +262,7 @@ template = filledtemplate({
"TESTING_VERSION" : testing_version or "<missing>",
"UNSTABLE_VERSION" : unstable_version or "<missing>",
"SPACEDDEBFULLNAME" : gecos().rjust(24),
+ "TEXT" : "DSA text goes here",
})
updatedlist = fordsalist({
"stable" : stable_version,
diff --git a/doc/DSA.template b/doc/DSA.template
index 86a3bd66b6..f08f16d01e 100644
--- a/doc/DSA.template
+++ b/doc/DSA.template
@@ -15,6 +15,8 @@ Debian-specific: $DEBIANSPECIFIC
CVE ID : $CVE
Debian Bug : $BUGNUM
+$TEXT
+
For the stable distribution ($STABLE), this problem has been fixed in
version $$STABLE_VERSION.

© 2014-2024 Faster IT GmbH | imprint | privacy policy